package com.muyu.common.core.enums;

import java.util.Arrays;

/**
 * @Author：liuxinyue
 * @Package：com.muyu.common.core.enums
 * @Project：cloud-common-core
 * @name：SystemYesNo
 * @Date：2024/8/1 11:42
 */

public enum SystemYesNo{


    YES("Y","是"),
    YSS("N","否");


    private final String code;

    private final String info;

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }

    /**
     * 鉴别code是否合法
     * @param code 存code
     * @return 如果存在code则返回true不存在则返回false
     */
    public static boolean isCode(String code) {

      return  Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(c -> c.equals(code));

    }

}
